#include <bits/stdc++.h>
using namespace std;
long a[100010];
long t=0;
long r=0;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	long n;
	cin>>n;
    long x;
    for (long i=1;i<=n;i++)
    {
        cin >>a[i];
        x=i;
        t++;
    }
    while(t>0)
    {
        t-=1;
        r+=a[x];
        int q=x;
        for (int i=1;i<=n;i++)
        {
            if (a[i]!=a[q] && a[i]!=0) {a[i]--;x=i;}
            else if (a[i]==1) {t-=1;a[i]=0;x=i;}
        }
        a[q]=0;
    }
    cout <<r;

}
